# Poco

# class NullInputStream

Library: Foundation
Package: Streams
Header: Poco/NullStream.h

## Description

Any read operation from this stream immediately yields EOF.

## Inheritance

Direct Base Classes: NullIOS, std::istream

All Base Classes: NullIOS, std::ios, std::istream

## Constructors

### NullInputStream

NullInputStream();

Creates the NullInputStream.

## Destructor

### ~NullInputStream

~NullInputStream();

Destroys the NullInputStream.